package it.integry.integrywmsnative.core.model;

import java.math.BigDecimal;
import java.util.Date;

public class GtbAnag extends EntityBase {

    private String codAnag;
    private String ragSoc;
    private String indirizzo;
    private String cap;
    private String citta;
    private String prov;
    private String nazione;
    private String telefono;
    private String fax;
    private String partIva;
    private String codFisc;
    private String note;
    private String personaRif;
    private String allegato;
    private String eMail;
    private String eMailPec;
    private String flagPersonaFg;
    private String sesso;
    private String codCentroAzi;
    private String codRuop;
    private Date dataNascita;
    private String luogoNascita;
    private String provNascita;
    private String nome;
    private String ragSoc2;
    private Integer classeMerito;
    private Date dataIns;
    private String numCell;
    private String cciaa;
    private String tipoAzienda;
    private String cuuPa;
    private String cognome;
    private String diacod;
    private BigDecimal lat;
    private BigDecimal lng;
    private String flagInformativa;
    private String flagConsenso;
    private String precode;
    private Boolean insDestinatario;

    public GtbAnag() {
        this.type = "gtb_anag";
    }

    public String getCodAnag() {
        return codAnag;
    }

    public GtbAnag setCodAnag(String codAnag) {
        this.codAnag = codAnag;
        return this;
    }

    public String getRagSoc() {
        return ragSoc;
    }

    public GtbAnag setRagSoc(String ragSoc) {
        this.ragSoc = ragSoc;
        return this;
    }

    public String getIndirizzo() {
        return indirizzo;
    }

    public GtbAnag setIndirizzo(String indirizzo) {
        this.indirizzo = indirizzo;
        return this;
    }

    public String getCap() {
        return cap;
    }

    public GtbAnag setCap(String cap) {
        this.cap = cap;
        return this;
    }

    public String getCitta() {
        return citta;
    }

    public GtbAnag setCitta(String citta) {
        this.citta = citta;
        return this;
    }

    public String getProv() {
        return prov;
    }

    public GtbAnag setProv(String prov) {
        this.prov = prov;
        return this;
    }

    public String getNazione() {
        return nazione;
    }

    public GtbAnag setNazione(String nazione) {
        this.nazione = nazione;
        return this;
    }

    public String getTelefono() {
        return telefono;
    }

    public GtbAnag setTelefono(String telefono) {
        this.telefono = telefono;
        return this;
    }

    public String getFax() {
        return fax;
    }

    public GtbAnag setFax(String fax) {
        this.fax = fax;
        return this;
    }

    public String getPartIva() {
        return partIva;
    }

    public GtbAnag setPartIva(String partIva) {
        this.partIva = partIva;
        return this;
    }

    public String getCodFisc() {
        return codFisc;
    }

    public GtbAnag setCodFisc(String codFisc) {
        this.codFisc = codFisc;
        return this;
    }

    public String getNote() {
        return note;
    }

    public GtbAnag setNote(String note) {
        this.note = note;
        return this;
    }

    public String getPersonaRif() {
        return personaRif;
    }

    public GtbAnag setPersonaRif(String personaRif) {
        this.personaRif = personaRif;
        return this;
    }

    public String getAllegato() {
        return allegato;
    }

    public GtbAnag setAllegato(String allegato) {
        this.allegato = allegato;
        return this;
    }

    public String geteMail() {
        return eMail;
    }

    public GtbAnag seteMail(String eMail) {
        this.eMail = eMail;
        return this;
    }

    public String geteMailPec() {
        return eMailPec;
    }

    public GtbAnag seteMailPec(String eMailPec) {
        this.eMailPec = eMailPec;
        return this;
    }

    public String getFlagPersonaFg() {
        return flagPersonaFg;
    }

    public GtbAnag setFlagPersonaFg(String flagPersonaFg) {
        this.flagPersonaFg = flagPersonaFg;
        return this;
    }

    public String getSesso() {
        return sesso;
    }

    public GtbAnag setSesso(String sesso) {
        this.sesso = sesso;
        return this;
    }

    public String getCodCentroAzi() {
        return codCentroAzi;
    }

    public GtbAnag setCodCentroAzi(String codCentroAzi) {
        this.codCentroAzi = codCentroAzi;
        return this;
    }

    public String getCodRuop() {
        return codRuop;
    }

    public GtbAnag setCodRuop(String codRuop) {
        this.codRuop = codRuop;
        return this;
    }

    public Date getDataNascita() {
        return dataNascita;
    }

    public GtbAnag setDataNascita(Date dataNascita) {
        this.dataNascita = dataNascita;
        return this;
    }

    public String getLuogoNascita() {
        return luogoNascita;
    }

    public GtbAnag setLuogoNascita(String luogoNascita) {
        this.luogoNascita = luogoNascita;
        return this;
    }

    public String getProvNascita() {
        return provNascita;
    }

    public GtbAnag setProvNascita(String provNascita) {
        this.provNascita = provNascita;
        return this;
    }

    public String getNome() {
        return nome;
    }

    public GtbAnag setNome(String nome) {
        this.nome = nome;
        return this;
    }

    public String getRagSoc2() {
        return ragSoc2;
    }

    public GtbAnag setRagSoc2(String ragSoc2) {
        this.ragSoc2 = ragSoc2;
        return this;
    }

    public Integer getClasseMerito() {
        return classeMerito;
    }

    public GtbAnag setClasseMerito(Integer classeMerito) {
        this.classeMerito = classeMerito;
        return this;
    }

    public Date getDataIns() {
        return dataIns;
    }

    public GtbAnag setDataIns(Date dataIns) {
        this.dataIns = dataIns;
        return this;
    }

    public String getNumCell() {
        return numCell;
    }

    public GtbAnag setNumCell(String numCell) {
        this.numCell = numCell;
        return this;
    }

    public String getCciaa() {
        return cciaa;
    }

    public GtbAnag setCciaa(String cciaa) {
        this.cciaa = cciaa;
        return this;
    }

    public String getTipoAzienda() {
        return tipoAzienda;
    }

    public GtbAnag setTipoAzienda(String tipoAzienda) {
        this.tipoAzienda = tipoAzienda;
        return this;
    }

    public String getCuuPa() {
        return cuuPa;
    }

    public GtbAnag setCuuPa(String cuuPa) {
        this.cuuPa = cuuPa;
        return this;
    }

    public String getCognome() {
        return cognome;
    }

    public GtbAnag setCognome(String cognome) {
        this.cognome = cognome;
        return this;
    }

    public String getDiacod() {
        return diacod;
    }

    public GtbAnag setDiacod(String diacod) {
        this.diacod = diacod;
        return this;
    }

    public BigDecimal getLat() {
        return lat;
    }

    public GtbAnag setLat(BigDecimal lat) {
        this.lat = lat;
        return this;
    }

    public BigDecimal getLng() {
        return lng;
    }

    public GtbAnag setLng(BigDecimal lng) {
        this.lng = lng;
        return this;
    }

    public String getFlagInformativa() {
        return flagInformativa;
    }

    public GtbAnag setFlagInformativa(String flagInformativa) {
        this.flagInformativa = flagInformativa;
        return this;
    }

    public String getFlagConsenso() {
        return flagConsenso;
    }

    public GtbAnag setFlagConsenso(String flagConsenso) {
        this.flagConsenso = flagConsenso;
        return this;
    }

    public String getPrecode() {
        return precode;
    }

    public GtbAnag setPrecode(String precode) {
        this.precode = precode;
        return this;
    }

    public Boolean getInsDestinatario() {
        return insDestinatario;
    }

    public GtbAnag setInsDestinatario(Boolean insDestinatario) {
        this.insDestinatario = insDestinatario;
        return this;
    }
}
